boost::geometry::promote_floating_point< T, PromoteIntegerTo > Struct Template Reference

Meta-function converting, if necessary, to "a floating point" type. More...

List of all members.

## Public Types

typedef boost::mpl::if_ < boost::is_integral< T > , PromoteIntegerTo, T >::type | type

## Detailed Description

### template<typename T, typename PromoteIntegerTo = double>
struct boost::geometry::promote_floating_point< T, PromoteIntegerTo >

Meta-function converting, if necessary, to "a floating point" type.

- if input type is integer, type is double
- else type is input type

## Member Typedef Documentation

template<typename T, typename PromoteIntegerTo = double>

typedef boost::mpl::if_< boost::is_integral<T>, PromoteIntegerTo, T >::type boost::geometry::promote_floating_point< T, PromoteIntegerTo >::type

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK